import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconShuffle = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: [_jsx("polyline", { points: "16 3 21 3 21 8" }), _jsx("line", { x1: "4", y1: "20", x2: "21", y2: "3" }), _jsx("polyline", { points: "21 16 21 21 16 21" }), _jsx("line", { x1: "15", y1: "15", x2: "21", y2: "21" }), _jsx("line", { x1: "4", y1: "4", x2: "9", y2: "9" })] }));
};
IconShuffle.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconShuffle.js.map